List library documents
curl --request GET \
--url https://my.flowsign.app/api/v1/library/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.flowsign.app/api/v1/library/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.flowsign.app/api/v1/library/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/library/documents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/library/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/library/documents");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/library/documents");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/library/documents' -Method GET -Headers $headers{
"data": {
"documents": [
{
"id": "cmg1ld8x40001v9x0l4b2r7y3",
"title": "Employment agreement.pdf",
"pageCount": 4,
"fileSize": 182344,
"kind": "STANDARD",
"thumbnailUrl": "https://xyzcompany.supabase.co/storage/v1/object/sign/pdf/cmg1org00001/cmg1ws000001/library/cmg1ld8x40001v9x0l4b2r7y3/thumbnail.png?token=eyJhbGciOiJIUzI1NiJ9.eyJ1cmwiOiJwZGYvLi4uIn0.k3Yv8Qm2pL1nR7tW4xZc9aB5dE0fG6hJ"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Library
List library documents
Lists up to 50 library documents that can be attached to a package. Requires canSendPackages.
GET
https://my.flowsign.app
/
api
/
v1
/
library
/
documents
List library documents
curl --request GET \
--url https://my.flowsign.app/api/v1/library/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.flowsign.app/api/v1/library/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.flowsign.app/api/v1/library/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/library/documents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/library/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/library/documents");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/library/documents");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/library/documents' -Method GET -Headers $headers{
"data": {
"documents": [
{
"id": "cmg1ld8x40001v9x0l4b2r7y3",
"title": "Employment agreement.pdf",
"pageCount": 4,
"fileSize": 182344,
"kind": "STANDARD",
"thumbnailUrl": "https://xyzcompany.supabase.co/storage/v1/object/sign/pdf/cmg1org00001/cmg1ws000001/library/cmg1ld8x40001v9x0l4b2r7y3/thumbnail.png?token=eyJhbGciOiJIUzI1NiJ9.eyJ1cmwiOiJwZGYvLi4uIn0.k3Yv8Qm2pL1nR7tW4xZc9aB5dE0fG6hJ"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Authorizations
Headers
Required on a key that acts for members, refused on any other key. Names the member the call runs as, as key=value: email=jane@acme.com, employee_id=E-1001, scim_external_id=… or a custom identifier. Keys are lowercase and matched case-insensitively. The call fails with 403 when no active member of the workspace matches.
Query Parameters
Was this page helpful?

